<?php

namespace Modules\Way\Interfaces;

use Illuminate\Http\Request;
use Modules\Way\Models\Way;

interface WayRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Way $country);
    public function save(Request $request, ?Way $country): Way;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
